@import url("https://fonts.googleapis.com/css?family=Mukta:700");
* {
    box-sizing: border-box;
}
*::before, *::after {
    box-sizing: border-box;
}

body {
    font-family: 'Mukta', sans-serif;
    font-size: 1rem;
    line-height: 1.5;
    /*display: -webkit-box;*/
    /*display: flex;*/
    /*-webkit-box-align: center;*/
    /*align-items: center;*/
    /*-webkit-box-pack: center;*/
    /*justify-content: center;*/
    margin: 0;
    min-height: 100vh;
    background: #86898b;
}

h1 {
    color: #fff;
    display: block;
    text-align: center;
    margin-bottom: 32px;
}

span {
    color: #b4b4b4;
    display: block;
    text-align: center;
    margin-bottom: 32px;
}

#container {
    border: 1px solid white;
    padding: 32px;
    border-radius: 10px;
    width: 30%;
    margin: auto;
}

button {
    margin: 16px;
    position: relative;
    display: block;
    cursor: pointer;
    outline: none;
    border: 0;
    vertical-align: middle;
    text-decoration: none;
    background: transparent;
    padding: 0;
    font-size: inherit;
    font-family: inherit;
}
button.learn-more {
    width: 12rem;
    height: auto;
}
button.learn-more .circle {
    -webkit-transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
    transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
    position: relative;
    display: block;
    margin: 0;
    width: 3rem;
    height: 3rem;
    background: #282936;
    border-radius: 1.625rem;
}
button.learn-more .circle .icon {
    -webkit-transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
    transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
    position: absolute;
    top: 0;
    bottom: 0;
    margin: auto;
    background: #fff;
}
button.learn-more .circle .icon.arrow {
    -webkit-transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
    transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
    left: 0.625rem;
    width: 1.125rem;
    height: 0.125rem;
    background: none;
}
button.learn-more .circle .icon.arrow::before {
    position: absolute;
    content: '';
    top: -0.25rem;
    right: 0.0625rem;
    width: 0.625rem;
    height: 0.625rem;
    border-top: 0.125rem solid #fff;
    border-right: 0.125rem solid #fff;
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
}
button.learn-more .button-text {
    -webkit-transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
    transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    padding: 0.75rem;
    margin: 0 0 0 2rem;
    color: #ffffff;
    font-weight: 700;
    line-height: 1.6;
    text-align: center;
    text-transform: uppercase;
}
button:hover .circle {
    width: 100%;
}
button:hover .circle .icon.arrow {
    background: #fff;
    -webkit-transform: translate(1rem, 0);
    transform: translate(1rem, 0);
}
button:hover .button-text {
    color: #fff;
}

/*@supports (display: grid) {*/
/*    body {*/
/*        display: grid;*/
/*        grid-template-columns: repeat(4, 1fr);*/
/*        grid-gap: 0.625rem;*/
/*        grid-template-areas: ". main main ." ". main main .";*/
/*    }*/

/*    #container {*/
/*        grid-area: main;*/
/*        align-self: center;*/
/*        justify-self: center;*/
/*    }*/
/*}*/
